Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans
Class BeanInstantiationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.beans.BeansException
                          org.springframework.beans.FatalBeanException
                              org.springframework.beans.BeanInstantiationException

All Implemented Interfaces:
  java.io.Serializable

    public class BeanInstantiationException

extends FatalBeanException

Exception thrown when instantiation of a bean failed. Carries the offending bean class.

Since:
  1.2.8
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`BeanInstantiationException(java.lang.Class beanClass, java.lang.String msg)` Create a new BeanInstantiationException.
`BeanInstantiationException(java.lang.Class beanClass, java.lang.String msg, java.lang.Throwable cause)` Create a new BeanInstantiationException.

Method Summary
`java.lang.Class` | `getBeanClass()` Return the offending bean class.

Methods inherited from class org.springframework.beans.BeansException
`equals, hashCode`

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BeanInstantiationException

    public BeanInstantiationException(java.lang.Class beanClass,
                                      java.lang.String msg)

  Create a new BeanInstantiationException.

  Parameters:
    `beanClass` - the offending bean class
    `msg` - the detail message

### BeanInstantiationException

    public BeanInstantiationException(java.lang.Class beanClass,
                                      java.lang.String msg,
                                      java.lang.Throwable cause)

  Create a new BeanInstantiationException.

  Parameters:
    `beanClass` - the offending bean class
    `msg` - the detail message
    `cause` - the root cause

Method Detail

### getBeanClass

    public java.lang.Class getBeanClass()

  Return the offending bean class.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD